OSDN Git Service

People keep running ./configure, so have it do a defconfig for them.
authorRob Landley <rob@landley.net>
Mon, 5 Feb 2018 02:07:12 +0000 (20:07 -0600)
committerRob Landley <rob@landley.net>
Mon, 5 Feb 2018 02:07:12 +0000 (20:07 -0600)
configure [changed mode: 0644->0755]

old mode 100644 (file)
new mode 100755 (executable)
index a7a427f..14c9c65
--- a/configure
+++ b/configure
@@ -1,7 +1,16 @@
-# Toybox configuration file.
+#!/bin/bash
 
 # This sets environment variables used by scripts/make.sh
 
+# People run ./configure out of habit, so do "defconfig" for them.
+
+if [ "$(basename "$0")" == configure ]
+then
+  echo "Assuming you want 'make defconfig', but you should probably check the README."
+  make defconfig
+  exit $?
+fi
+
 # A synonym.
 [ -z "$CROSS_COMPILE" ] && CROSS_COMPILE="$CROSS"